## axiom 20140801

=== Makefile ===
VERSION:="Axiom (August 2014)"

##### special paths
SPD:=$(shell pwd)
SRC:=${SPD}/src
LSP:=${SPD}/lsp
INT:=${SPD}/int
OBJ:=${SPD}/obj
MNT:=${SPD}/mnt
TMP:=${OBJ}/tmp
ZIPS:=${SPD}/zips
BOOKS:=${SPD}/books
SPAD:=${SPD}/mnt/${SYS}
SRCDIRS:="interpdir sharedir algebradir etcdir clefdir docdir \
          graphdir smandir hyperdir browserdir inputdir"

SYS:=$(notdir $(AXIOM))
DAASE:=${SRC}/share

SPADBIN:=${MNT}/${SYS}/bin
DOCUMENT:=${SPADBIN}/document
EXTRACT:=${BOOKS}/extract

##### installation paths
DESTDIR:=/usr/local/axiom
COMMAND:=${DESTDIR}/mnt/${SYS}/bin/axiom

##### functions we need
AWK:=gawk 
PATCH:=patch
RANLIB:=ranlib
TAR:=tar
TOUCH:=touch
UNCOMPRESS:=gunzip

##### lisp related variables
BYE:=bye
#GCLVERSION=gcl-2.4.1
#GCLVERSION=gcl-2.5
#GCLVERSION=gcl-2.5.2
#GCLVERSION=gcl-2.6.1
#GCLVERSION=gcl-2.6.2
#GCLVERSION=gcl-2.6.2a
#GCLVERSION=gcl-2.6.3
#GCLVERSION=gcl-2.6.5
#GCLVERSION=gcl-2.6.6
#GCLVERSION=gcl-2.6.7pre
#GCLVERSION=gcl-2.6.7
#GCLVERSION=gcl-2.6.8pre
#GCLVERSION=gcl-2.6.8pre2
#GCLVERSION=gcl-2.6.8pre3 
#GCLVERSION=gcl-2.6.8pre4
GCLVERSION=gcl-2.6.8pre7
#GCLVERSION=gcl-cygwin
GCLDIR:=${LSP}/${GCLVERSION}
GCLOPTS="--enable-vssize=65536*2 --disable-xgcl --disable-tkconfig" 
LISP:=lsp

##### C related variables
INC:=${SPD}/src/include
PLF:=LINUXplatform
CCF:="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include"
CC:=gcc
XLIB:=/usr/X11R6/lib
#LDF:=" -L/usr/X11R6/lib -L/usr/lib ${XLIB}/libXpm.a -lXpm"
LDF:=" -L/usr/X11R6/lib -L/usr/lib  -lXpm"
O:=o

##### command line control
NOISE:="-o ${TMP}/trace"
PART:=	cprogs
SUBPART:= everything
RUNTYPE:=serial
# can be richtests, catstests, regresstests (see src/input/Makefile)
# alltests, notests
TESTSET:=notests
BUILD:=full


ENV:= \
AWK=${AWK} \
BOOKS=${BOOKS} \
BUILD=${BUILD} \
BYE=${BYE} \
CC=${CC} \
CCF=${CCF} \
COMMAND=${COMMAND} \
DAASE=${DAASE} \
DESTDIR=${DESTDIR} \
DOCUMENT=${DOCUMENT} \
EXTRACT=${EXTRACT} \
GCLDIR=${GCLDIR} \
GCLOPTS=${GCLOPTS} \
GCLVERSION=${GCLVERSION} \
INC=${INC} \
INT=${INT} \
LDF=${LDF} \
LISP=${LISP} \
LSP=${LSP} \
MNT=${MNT} \
NOISE=${NOISE} \
O=${O} \
OBJ=${OBJ} \
PART=${PART} \
PATCH=${PATCH} \
PLF=${PLF} \
RANLIB=${RANLIB} \
RUNTYPE=${RUNTYPE} \
SPAD=${SPAD} \
SPADBIN=${SPADBIN} \
SPD=${SPD} \
SRC=${SRC} \
SRCDIRS=${SRCDIRS} \
SUBPART=${SUBPART} \
SYS=${SYS} \
TANGLE=${TANGLE} \
TAR=${TAR} \
TESTSET=${TESTSET} \
TMP=${TMP} \
TOUCH=${TOUCH} \
UNCOMPRESS=${UNCOMPRESS} \
VERSION=${VERSION} \
WEAVE=${WEAVE} \
XLIB=${XLIB} \
ZIPS=${ZIPS} 

all: rootdirs tanglec ${MNT}/${SYS}/bin/document
	@ echo 1 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
	@ echo 2 Environment ${ENV}
	@ ${BOOKS}/tanglec Makefile.pamphlet "Makefile.${SYS}" >Makefile.${SYS}
	@ cp books/dvipdfm.def ${MNT}/${SYS}/doc
	@ cp books/changepage.sty ${MNT}/${SYS}/doc
	@ ${EXTRACT} Makefile.pamphlet
	@ cp Makefile.pdf ${MNT}/${SYS}/doc/src/root.Makefile.pdf
	@ if [ "${RUNTYPE}" = "parallel" ] ; then \
	   ( echo p4 starting parallel make of input files ; \
	     ${ENV} ${MAKE} input ${NOISE} & ) ; \
	  else \
           if [ "${BUILD}" = "full" ] ; then \
	   ( echo s4 starting serial make of input files ; \
	     mkdir -p ${MNT}/${SYS}/doc/src/input ; \
             cd ${MNT}/${SYS}/doc/src/input ; \
	     cp ${BOOKS}/axiom.sty . ; \
	     for i in `ls ${SRC}/input/*.input.pamphlet` ; do \
	      if [ .${NOISE} = . ] ; \
	      then \
               latex $$i ; \
	      else \
	       ( echo p4a making $$i ; \
	         latex $$i >${TMP}/trace ) ; \
	      fi ; \
             done ; \
	     rm -f *~ ; \
	     rm -f *.pamphlet~ ; \
	     rm -f *.log ; \
	     rm -f *.tex ; \
	     rm -f *.toc ; \
	     rm -f *.aux ) ; fi ; \
	  fi
	@ if [ "${RUNTYPE}" = "parallel" ] ; then \
	    ( echo s2 starting parallel make of books ; \
	      echo s3 ${SPD}/books/Makefile from \
                   ${SPD}/books/Makefile.pamphlet ; \
	      cd ${SPD}/books ; \
              ${EXTRACT} Makefile ; \
              cp Makefile.pdf ${MNT}/${SYS}/doc/src/books.Makefile.pdf ; \
	      ${ENV} ${MAKE} & ) ; \
	  else \
	    ( echo s2 starting serial make of books ; \
	      echo s3 ${SPD}/books/Makefile from \
                   ${SPD}/books/Makefile.pamphlet ; \
	      cd ${SPD}/books ; \
              ${EXTRACT} Makefile ; \
              cp Makefile.pdf ${MNT}/${SYS}/doc/src/books.Makefile.pdf ; \
              if [ "${BUILD}" = "full" ] ; then \
	      ${ENV} ${MAKE} ; fi ) ; \
	  fi
	@ echo p7 starting make of src
	@ ${ENV} $(MAKE) -f Makefile.${SYS} 
	@ echo 3 finished system build on `date` | tee >lastBuildDate

rootdirs:
	@ echo 11 checking directory structure
	@ mkdir -p ${TMP}
	@ mkdir -p ${INT}/doc/lsp
	@ mkdir -p ${INT}/doc/src
	@ mkdir -p ${OBJ}/${SYS}
	@ mkdir -p ${MNT}/${SYS}/bin/lib
	@ mkdir -p ${MNT}/${SYS}/doc/src

input:
	@ echo p9 making input documents
	@ if [ "${BUILD}" = "full" ] ; then \
	  ( mkdir -p ${MNT}/${SYS}/doc/src/input ; \
            cd ${MNT}/${SYS}/doc/src/input ; \
	    cp ${BOOKS}/axiom.sty . ; \
	    for i in `ls ${SRC}/input/*.input.pamphlet` ; \
              do latex $$i ; \
              done ; \
	     rm -f *~ ; \
	     rm -f *.pamphlet~ ; \
	     rm -f *.log ; \
	     rm -f *.tex ; \
	     rm -f *.toc ; \
	     rm -f *.aux ) ; fi

book:
	@ echo 79 building the book as ${MNT}/${SYS}/doc/book.dvi 
	@ mkdir -p ${TMP}
	@ mkdir -p ${MNT}/${SYS}/doc
	@ cp ${SRC}/doc/book.pamphlet ${MNT}/${SYS}/doc
	@ cp -pr ${SRC}/doc/ps ${MNT}/${SYS}/doc
	@ (cd ${MNT}/${SYS}/doc ; \
          if [ .${NOISE} = . ] ; then \
	    ( latex book.pamphlet --interaction nonstopmode ; \
	      latex book.pamphlet --interaction nonstopmode ) ; \
	   else \
	    ( latex book.pamphlet --interaction nonstopmode >${TMP}/trace ; \
	      latex book.pamphlet --interaction nonstopmode >${TMP}/trace ) ; \
	  fi ; \
	  rm book.pamphlet ; \
	  rm book.toc ; \
	  rm book.log ; \
	  rm book.aux )
	@ echo 80 The book is at ${MNT}/${SYS}/doc/book.dvi 


tanglec: books/tanglec.c
	@echo t01 making tanglec from books/tanglec.c
	@( cd books ; gcc -o tanglec tanglec.c )

${MNT}/${SYS}/bin/document:
	@echo 0 ${ENV}
	@echo 10 copying ${SRC}/scripts to ${MNT}/${SYS}/bin
	@cp -pr ${SRC}/scripts/* ${MNT}/${SYS}/bin

install:
	@echo 78 installing Axiom in ${DESTDIR}
	@mkdir -p ${DESTDIR}
	@cp -pr ${MNT} ${DESTDIR}
	@echo '#!/bin/sh -' >${COMMAND}
	@echo AXIOM=${DESTDIR}/mnt/${SYS} >>${COMMAND}
	@echo export AXIOM >>${COMMAND}
	@echo PATH='$${AXIOM}/bin':'$${PATH}' >>${COMMAND}
	@echo export PATH >>${COMMAND}
	@cat ${INT}/sman/axiom >>${COMMAND}
	@chmod +x ${COMMAND}
	@echo 79 Axiom installation finished.
	@echo
	@echo Please add $(shell dirname ${COMMAND}) to your PATH variable
	@echo Start Axiom with the command $(shell basename ${COMMAND})
	@echo 


document: ${MNT}/${SYS}/bin/document
	@ echo 4 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
	@ echo 5 Environment ${ENV}
	@ ${BOOKS}/tanglec Makefile.pamphlet "Makefile.${SYS}" >Makefile.${SYS}
	@ ${ENV} $(MAKE) -f Makefile.${SYS} document
	@echo 6 finished system build on `date` | tee >lastBuildDate

clean: 
	@ echo 7 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
	@ echo 8 Environment ${ENV}
	@ rm -f src/algebra/book*pamphlet
	@ rm -f src/algebra/*.spad
	@ rm -f src/interp/book*pamphlet
	@ rm -f axiom.sty
	@ rm -f books/Makefile
	@ rm -f books/Makefile.dvi
	@ rm -f src/algebra/axiom.sty
	@ rm -f lsp/axiom.sty
	@ rm -f src/axiom.sty
	@ rm -f src/clef/axiom.sty
	@ rm -f src/etc/axiom.sty
	@ rm -f src/doc/axiom.sty
	@ rm -f src/lib/axiom.sty
	@ rm -f src/share/axiom.sty
	@ rm -f src/scripts/axiom.sty
	@ rm -f src/input/axiom.sty
	@ rm -f src/interp/axiom.sty
	@ rm -f lsp/Makefile.dvi
	@ rm -f lsp/Makefile
	@ rm -rf lsp/gcl*
	@ rm -f trace
	@ rm -f Makefile.${SYS}
	@ rm -f Makefile.dvi
	@ rm -rf int
	@ rm -rf obj
	@ rm -rf mnt
	@ for i in `find . -name "*~"` ; do rm -f $$i ; done
	@ for i in `find src -name "Makefile"` ; do rm -f $$i ; done
	@ for i in `find src -name "Makefile.dvi"` ; do rm -f $$i ; done
	@ rm -f lastBuildDate
	@ rm -f books/tanglec
	@ rm -f Makefile.pdf books/Makefile.pdf 
	@ rm -f lsp/Makefile.pdf lsp/Makefile.pdf src/Makefile.pdf
	@ rm -f src/algebra/Makefile.pdf src/clef/Makefile.pdf 
	@ rm -f src/doc/Makefile.pdf
	@ rm -f src/etc/Makefile.pdf src/input/Makefile.pdf 
	@ rm -f src/interp/Makefile.pdf
	@ rm -f src/scripts/Makefile.pdf src/share/Makefile.pdf

=== debian/changelog ===
axiom (20140801-11) unstable; urgency=medium

  * fix FTBFS ppc64, patch to avoid overflow of BSD sockaddr sa_data in
    make_server_name
  * build-dep latest gcl
  * Bug fix: "FTBFS on mips", thanks to Sebastian Ramacher (Closes:
    #756793).  autobuild with latest tools on mips works.
  * Bug fix: "naive methods of exiting axiom can blow up
    catastrophically", thanks to Tom Hargreaves (Closes: #346552).
  * Bug fix: "&quot;backspace&quot; key doesn&#39;t work as expected",
    thanks to Edi Meier (Closes: #708733). Command line editing in
    terminal now has a conventionally functioning Backspace

 -- Camm Maguire <camm@debian.org>  Wed, 21 Oct 2015 15:44:33 +0000

axiom (20140801-10) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 07 Oct 2015 21:11:28 +0000

axiom (20140801-9) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Sun, 27 Sep 2015 08:25:40 -0400

axiom (20140801-8) unstable; urgency=medium

  * skip-init-memory-config

 -- Camm Maguire <camm@debian.org>  Wed, 27 May 2015 01:26:54 +0000

axiom (20140801-7) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Thu, 30 Apr 2015 22:04:32 -0400

axiom (20140801-6) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 24 Oct 2014 10:41:57 -0400

axiom (20140801-5) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Sun, 07 Sep 2014 15:45:52 -0400

axiom (20140801-4) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Thu, 21 Aug 2014 02:33:42 +0000

axiom (20140801-3) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Tue, 19 Aug 2014 22:32:55 +0000

axiom (20140801-2) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 15 Aug 2014 14:07:54 +0000

axiom (20140801-1) unstable; urgency=medium

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Tue, 05 Aug 2014 17:44:17 +0000

axiom (20120501-18) unstable; urgency=medium

  * build-dep latest gcl
  * Bug fix: "cannot use prelink on AXIOMsys binary", thanks to Laurent
    Bonnaud (Closes: #262890).
  * lintain cleanups

 -- Camm Maguire <camm@debian.org>  Fri, 25 Jul 2014 02:37:58 +0000

axiom (20120501-17) unstable; urgency=high

  * rebuild against latest gcl
  * Bug fix: "[axiom] Some sources are not included in your package",
    thanks to Bastien ROUCARIES (Closes: #752221).
  * Bug fix: "3D plots fail saying: &quot;The viewport manager could not
    read from a 3D viewport window&quot;", thanks to Jason Quinn (Closes:
    #712844).
  * Bug fix: "CVE-2014-1640: tmp file vulnerability", thanks to Helmut
    Grohne (Closes: #736358).
  * Bug fix: "ackermann.input from axiom-test breaks", thanks to Edi Meier
    (Closes: #708999).

 -- Camm Maguire <camm@debian.org>  Wed, 16 Jul 2014 19:20:13 +0000

axiom (20120501-16) unstable; urgency=high

  * build-depend on binutils-dev

 -- Camm Maguire <camm@debian.org>  Thu, 03 Jul 2014 14:25:15 +0000

axiom (20120501-15) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Mon, 30 Jun 2014 14:00:25 +0000

axiom (20120501-14) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 15 Nov 2013 10:11:34 +0000

axiom (20120501-13) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 16 Oct 2013 13:27:34 +0000

axiom (20120501-12) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 12 Oct 2013 01:54:25 +0000

axiom (20120501-11) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Mon, 23 Sep 2013 16:56:24 +0000

axiom (20120501-10) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Tue, 06 Aug 2013 18:11:25 +0000

axiom (20120501-9) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 02 Aug 2013 17:09:26 +0000

=== debian/control ===
Source: axiom
Section: math
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Build-Depends: debhelper ( >= 5 ), gcl ( >= 2.6.12-25 ), libgmp3-dev, libreadline-dev, libx11-dev, libxt-dev, x11proto-core-dev,  libxpm-dev, x11-common,  texlive-latex-base,  gawk, sharutils, ghostscript, gsfonts, libxmu-dev, libxaw7-dev, zlib1g-dev, texlive-pstricks, tex-common, texlive-fonts-extra
Standards-Version: 3.9.6

Package: axiom
Architecture: any
Depends: ${shlibs:Depends}, axiom-databases (= ${source:Version}), ${misc:Depends}
Recommends: axiom-source, axiom-doc, axiom-graphics, axiom-hypertex
Suggests: texmacs, axiom-tex, axiom-test, nowebm
Description: General purpose computer algebra system: main binary and modules
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains the main program binary and all precompiled
 algebra and autoloadable modules.

Package: axiom-source
Architecture: all
Depends: ${misc:Depends}
Description: General purpose computer algebra system: source files
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains source files in Axiom's native spad language
 for the compiled algebra modules supplied in the axiom package.
 .

Package: axiom-test
Architecture: all
Depends: axiom (>= ${source:Version}), ${misc:Depends}
Description: General purpose computer algebra system: regression test inputs
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains input files for Axiom's regression test suite.

Package: axiom-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: General purpose computer algebra system: documentation
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains all documentation, including the Axiom book in
 dvi format with all postscript images.

Package: axiom-databases
Architecture: all
Depends: ${misc:Depends}
Description: General purpose computer algebra system: generated text databases
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains the text databases generated during the build
 process used in computing the hierarchical domain structure, among
 other uses.

Package: axiom-tex
Architecture: all
Depends: texlive-latex-recommended, ${misc:Depends}
Description: General purpose computer algebra system: style file for TeX
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains a TeX style file useful in publishing results
 obtained with Axiom.

Package: axiom-graphics
Architecture: any
Depends: ${shlibs:Depends}, axiom (= ${binary:Version}), axiom-graphics-data (= ${source:Version}), ${misc:Depends}
Description: General purpose computer algebra system: graphics subsystem
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains the binaries for the graphics subsystem.
 The programs in this package allow axiom to draw plots to separate
 windows in X as well as to output files in postscript format.

Package: axiom-graphics-data
Architecture: all
Depends: ${misc:Depends}
Description: General purpose computer algebra system: graphics subsystem
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains required data files for the axiom graphics
 subsystem.

Package: axiom-hypertex
Architecture: any
Depends: ${shlibs:Depends}, axiom (= ${binary:Version}), axiom-hypertex-data (= ${source:Version}), ${misc:Depends}
Description: General purpose computer algebra system: hypertex subsystem
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains the binaries for the hypertex subsystem.
 The programs in this package provide an interactive online help
 system describing the many axiom commands.

Package: axiom-hypertex-data
Architecture: all
Depends: ${misc:Depends}
Description: General purpose computer algebra system: hypertex subsystem
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains required data files for the axiom hypertex
 subsystem.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#VER:=$(shell basename `pwd` | sed 's,.*-,,1')
PN:=axiom
VER:=$(shell awk '{if (i) next;i=1;a=$$2;gsub("[()]","",a);split(a,A,"-");print A[1];}' debian/changelog)
PD:=$(PN)-$(VER)

export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

#NO_SAVE_SYS?=
#ARCHT:=$(shell dpkg --print-architecture)

#ARCHT:=$(DEB_BUILD_ARCH)
#ifeq ($(ARCHT),ia64)
#NO_SAVE_SYS:=t
#endif
#ifeq ($(ARCHT),mips)
#NO_SAVE_SYS:=t
#endif
#ifeq ($(ARCHT),mipsel)
#NO_SAVE_SYS:=t
#endif
#ifeq ($(ARCHT),hppa)
#NO_SAVE_SYS:=t
#endif
#ifeq ($(ARCHT),alpha)
#NO_SAVE_SYS:=t
#endif

# ifeq ($(ARCHT),powerpc)
# NO_STRIP:=--exclude=axiom
# endif

debian/patches_applied: 
	! [ -e debian/patches_unapplied ] || patch -p0 <debian/patch.all
#	! [ -e debian/patches_unapplied ] || [ "$(NO_SAVE_SYS)" = "" ] || patch -p0 <debian/patch.save
#	! [ -e debian/patches_unapplied ] || [ "$(NO_SAVE_SYS)" != "" ] || patch -p0 <debian/patch.nosave
	! [ -e debian/patches_unapplied ] || patch -p0 <debian/patch.merge
	rm -f debian/patches_unapplied
	touch $@

debian/patches_unapplied: 
	! [ -e debian/patches_applied ] || patch -R  -p0 <debian/patch.all
#	! [ -e debian/patches_applied ] || [ "$(NO_SAVE_SYS)" = "" ] || patch -R -p0 <debian/patch.save
#	! [ -e debian/patches_applied ] || [ "$(NO_SAVE_SYS)" != "" ] || patch -R -p0 <debian/patch.nosave
	! [ -e debian/patches_applied ] || patch -R -p0 <debian/patch.merge
	rm -f debian/patches_applied
#	touch $@
	echo foo > $@

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp #debian/patches_applied
	dh_testdir

#	[ "$(NO_SAVE_SYS)" = "" ] || \
#		( mkdir -p $(CURDIR)/mnt/linux/algebra && cp debian/*aase mnt/linux/algebra/ )

	mkdir -p $(CURDIR)/mnt/linux/algebra
	cp -pr src/share/algebra/*.daase mnt/linux/algebra

#	export AXIOM=$(CURDIR)/mnt/linux ; \
	export PATH=$$AXIOM/bin:$$PATH ; \
	while sleep 1800 ; do echo tick; done & j=$$!; \
	$(MAKE) PASS1=t ; i=$$? ; \
	kill $$j || true ; exit $$i

#	find -name "*.lsp" -exec touch {} \;
#	find -name "*.lisp" -exec touch {} \;

#	while sleep 1800 ; do echo tick; done & j=$$!; \
#       i=$$? ; kill $$j || true ; exit $$i

	export AXIOM=$(CURDIR)/mnt/linux ; \
	export PATH=$$AXIOM/bin:$$PATH ; \
	export GCL=`which gcl` ; \
	eval `dpkg-buildflags --export=sh` && $(MAKE) TESTSET=regresstests GCL=$$(which gcl)

	find mnt/linux -name bessintr.eps -exec rm {} \;
	find mnt/linux -name htsearch -exec chmod 755 {} \;
	find mnt/linux -name command.list -exec chmod -x {} \;
	for i in $$(find mnt/linux -name presea); do cat $$i | sed 's,!/bin/awk,!/usr/bin/awk,1' >tmp && mv tmp $$i; done
	find mnt/linux -name presea -exec chmod 755 {} \;

	echo ")lisp (progn (setq compiler::*default-system-p* nil)(si::save-system \"foo\"))" | AXIOM=$(CURDIR)/mnt/linux $(CURDIR)/mnt/linux/bin/AXIOMsys && mv foo mnt/linux/bin/AXIOMsys

	for i in $$(find mnt/linux -wholename "*.daase/*.daase" -type d); do rm -rf $$i; done

	touch build-stamp

IFS:=$(addprefix debian/,axiom.install axiom.links axiom-doc.install axiom-doc.links axiom-source.install axiom-source.links axiom-test.install axiom-test.links axiom-databases.install axiom-databases.links axiom-tex.install axiom-graphics.install axiom-graphics-data.install axiom-hypertex.install axiom-hypertex-data.install )

fooclean:
	rm -f $(IFS)

clean: #debian/patches_unapplied
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	set

	AXIOM=$(CURDIR)/mnt/linux  \
	C_INCLUDE_PATH=/usr/include:$C_INCLUDE_PATH \
	$(MAKE) clean
	rm -f lsp/Makefile.dvi src/algebra/Makefile.dvi src/input/Makefile.dvi obj/noweb/contrib/kostas/Makefile obj/noweb/src/c/notangle.o obj/noweb/src/c/getline.o obj/noweb/src/c/match.o obj/noweb/src/c/modules.o obj/noweb/src/c/modtrees.o obj/noweb/src/c/strsave.o obj/noweb/src/c/main.o obj/noweb/src/c/errors.o obj/noweb/src/c/columns.o obj/noweb/src/c/nt obj/noweb/src/c/markmain.o obj/noweb/src/c/markup.o obj/noweb/src/c/markup obj/noweb/src/c/mnt.o obj/noweb/src/c/mnt obj/noweb/src/c/finduses.o obj/noweb/src/c/recognize.o obj/noweb/src/c/finduses mnt/bin/lib/nt mnt/bin/lib/markup mnt/bin/lib/mnt mnt/bin/lib/finduses mnt/bin/Makefile.dvi  Makefile.dvi src/Makefile.dvi src/interp/Makefile.dvi src/doc/Makefile.dvi
	rm -f lsp/Makefile src/Makefile src/boot/Makefile src/clef/Makefile src/doc/Makefile src/etc/Makefile src/input/Makefile src/interp/Makefile src/lib/Makefile src/scripts/Makefile src/share/Makefile 
	rm -f src/algebra/Makefile lastBuildDate
	find -name Makefile.dvi -exec rm {} \;
	rm -f Makefile.linux
	rm -f $(IFS)
	rm -rf debian/axiom_tutorialu debian/bin debian/axiom.1
	find -mindepth 2 -name Makefile -exec rm {} \;
	rm -f books/tangle.o
	mv books/axiom.sty books/axiom.sty.ori
	mv src/axiom-website/CATS/axiom.sty src/axiom-website/CATS/axiom.sty.ori
	find -name axiom.sty -exec rm {} \;
	mv books/axiom.sty.ori books/axiom.sty
	mv src/axiom-website/CATS/axiom.sty.ori src/axiom-website/CATS/axiom.sty
	rm -rf kaf*.sdata
	rm -f src/interp/bookvol5.pamphlet src/interp/bookvol9.pamphlet src/algebra/bookvol10.2.spad.pamphlet
	rm -f src/algebra/bookvol10.4.spad.pamphlet src/algebra/bookvol10.3.spad.pamphlet 
	rm -f src/interp/Makefile.pamphlet.new debian/test_results
	rm -f libdb.text src/algebra/Makefile.help
	rm -f src/interp/bookvol10.5.pamphlet src/algebra/*.spad src/lib/Makefile.pdf books/tangle1.lisp
	dh_clean 

debian/axiom.install: 
	find mnt/linux -name "*.o" | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	find mnt/linux -name "*.lsp" | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	find mnt/linux/bin/* -newer mnt/linux/bin/Makefile.pamphlet -maxdepth 0 -type f | grep -v /h[yt] | grep -v /view | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	find mnt/linux/lib/* | grep -v copyright | grep -v /h[yt] | grep -v /view | grep -v /graph | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	echo debian/bin/axiom usr/bin >>$@
	echo debian/axiom.1 usr/share/man/man1 >>$@

debian/axiom-graphics.install: 
	find mnt/linux/bin/view* mnt/linux/lib/view* | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@

debian/axiom-graphics-data.install: 
	echo mnt/linux/lib/graph | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	echo mnt/linux/doc/viewports | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@

debian/axiom-hypertex.install: 
	find mnt/linux/bin/h[ty]* mnt/linux/lib/h[ty]* | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@

debian/axiom-hypertex-data.install: 
	echo mnt/linux/doc/hypertex | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	echo mnt/linux/doc/ps | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	echo mnt/linux/doc/bitmaps | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	echo mnt/linux/doc/ht.db | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	find mnt/linux/doc/*.pamphlet | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@

debian/axiom.links:
	echo usr/share/doc/axiom/copyright usr/lib/$(PD)/lib/copyright >>$@
#	echo usr/bin/axiom usr/bin/AXIOMsys >>$@
	echo usr/share/man/man1/axiom.1 usr/share/man/man1/AXIOMsys.1 >>$@

debian/axiom-doc.install: debian/axiom-hypertex-data.install debian/axiom-graphics-data.install
	find mnt/linux/doc/* -maxdepth 0 | \

## axiom 20170401

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION:="Axiom (August 2014)"
+VERSION:="Axiom (May 2016)"
 
 ##### special paths
 SPD:=$(shell pwd)
@@ -10,12 +10,13 @@
 TMP:=${OBJ}/tmp
 ZIPS:=${SPD}/zips
 BOOKS:=${SPD}/books
-SPAD:=${SPD}/mnt/${SYS}
-SRCDIRS:="interpdir sharedir algebradir etcdir clefdir docdir \
+SRCDIRS:="interpdir sharedir algebradir etcdir docdir \
           graphdir smandir hyperdir browserdir inputdir"
 
 SYS:=$(notdir $(AXIOM))
 DAASE:=${SRC}/share
+PROOFS:=${OBJ}/${SYS}/proofs
+SPAD:=${SPD}/mnt/${SYS}
 
 SPADBIN:=${MNT}/${SYS}/bin
 DOCUMENT:=${SPADBIN}/document
@@ -32,6 +33,17 @@
 TAR:=tar
 TOUCH:=touch
 UNCOMPRESS:=gunzip
+
+####K C Related variables
+PLF=${SYS}platform
+CCF="-O2 -fno-strength-reduce -D_GNU_SOURCE -D${PLF} \
+     -I/usr/X11/include \
+     -Wno-absolute-value -std=gnu89 -w" 
+INC:=${SPD}/src/include
+CC:=gcc
+XLIB:=/usr/X11R6/lib
+LDF="-L/usr/X11/lib -L/usr/X11R6/lib64 -L/usr/local/lib64 -L/usr/openwin/lib64 -L/usr/lib64 "
+O:=o
 
 ##### lisp related variables
 BYE:=bye
@@ -50,21 +62,15 @@
 #GCLVERSION=gcl-2.6.8pre2
 #GCLVERSION=gcl-2.6.8pre3 
 #GCLVERSION=gcl-2.6.8pre4
-GCLVERSION=gcl-2.6.8pre7
+#GCLVERSION=gcl-2.6.8pre7
 #GCLVERSION=gcl-cygwin
+#GCLVERSION=gcl-2.6.9
+#GCLVERSION=gcl-2.6.10
+#GCLVERSION=gcl-2.6.11
+GCLVERSION=gcl-2.6.12
 GCLDIR:=${LSP}/${GCLVERSION}
-GCLOPTS="--enable-vssize=65536*2 --disable-xgcl --disable-tkconfig" 
+GCLOPTS="--enable-vssize=65536*2 --disable-xgcl --disable-tkconfig"
 LISP:=lsp
-
-##### C related variables
-INC:=${SPD}/src/include
-PLF:=LINUXplatform
-CCF:="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include"
-CC:=gcc
-XLIB:=/usr/X11R6/lib
-#LDF:=" -L/usr/X11R6/lib -L/usr/lib ${XLIB}/libXpm.a -lXpm"
-LDF:=" -L/usr/X11R6/lib -L/usr/lib  -lXpm"
-O:=o
 
 ##### command line control
 NOISE:="-o ${TMP}/trace"
@@ -75,9 +81,12 @@
 # alltests, notests
 TESTSET:=notests
 BUILD:=full
+ACL2:=
+COQ:=
 
 
 ENV:= \
+ACL2=${ACL2} \
 AWK=${AWK} \
 BOOKS=${BOOKS} \
 BUILD=${BUILD} \
@@ -85,6 +94,7 @@
 CC=${CC} \
 CCF=${CCF} \
 COMMAND=${COMMAND} \
+COQ=${COQ} \
 DAASE=${DAASE} \
 DESTDIR=${DESTDIR} \
 DOCUMENT=${DOCUMENT} \
@@ -104,6 +114,7 @@
 PART=${PART} \
 PATCH=${PATCH} \
 PLF=${PLF} \
+PROOFS=${PROOFS} \
 RANLIB=${RANLIB} \
 RUNTYPE=${RUNTYPE} \
 SPAD=${SPAD} \
@@ -124,12 +135,12 @@
 XLIB=${XLIB} \
 ZIPS=${ZIPS} 
 
-all: rootdirs tanglec ${MNT}/${SYS}/bin/document
+all: rootdirs axiom.sty tanglec libspad
 	@ echo 1 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
 	@ echo 2 Environment ${ENV}
 	@ ${BOOKS}/tanglec Makefile.pamphlet "Makefile.${SYS}" >Makefile.${SYS}
-	@ cp books/dvipdfm.def ${MNT}/${SYS}/doc
-	@ cp books/changepage.sty ${MNT}/${SYS}/doc
+	@ cp ${BOOKS}/dvipdfm.def ${MNT}/${SYS}/doc
+	@ cp ${BOOKS}/changepage.sty ${MNT}/${SYS}/doc
 	@ ${EXTRACT} Makefile.pamphlet
 	@ cp Makefile.pdf ${MNT}/${SYS}/doc/src/root.Makefile.pdf
 	@ if [ "${RUNTYPE}" = "parallel" ] ; then \
@@ -138,9 +149,9 @@
 	  else \
            if [ "${BUILD}" = "full" ] ; then \
 	   ( echo s4 starting serial make of input files ; \
-	     mkdir -p ${MNT}/${SYS}/doc/src/input ; \
              cd ${MNT}/${SYS}/doc/src/input ; \
 	     cp ${BOOKS}/axiom.sty . ; \
+             cp ${SRC}/input/*.eps . ; \
 	     for i in `ls ${SRC}/input/*.input.pamphlet` ; do \
 	      if [ .${NOISE} = . ] ; \
 	      then \
@@ -179,20 +190,54 @@
 	@ ${ENV} $(MAKE) -f Makefile.${SYS} 
 	@ echo 3 finished system build on `date` | tee >lastBuildDate
 
+libspad: 
+	@ echo 11a making libspad
+	@ ( cd ${OBJ}/${SYS}/lib ; \
+	    ${BOOKS}/tanglec ${BOOKS}/bookvol8.pamphlet Makefile >Makefile ; \
+            ${ENV} ${MAKE} libspad.a )
+
+axiom.sty:
+	@ echo 11c copying books/axiom.sty
+	@ cp ${BOOKS}/axiom.sty .
+
 rootdirs:
 	@ echo 11 checking directory structure
-	@ mkdir -p ${TMP}
-	@ mkdir -p ${INT}/doc/lsp
-	@ mkdir -p ${INT}/doc/src
-	@ mkdir -p ${OBJ}/${SYS}
-	@ mkdir -p ${MNT}/${SYS}/bin/lib
-	@ mkdir -p ${MNT}/${SYS}/doc/src
+	 mkdir -p ${TMP}
+	 mkdir -p ${INT}/algebra
+	 mkdir -p ${INT}/hyper
+	 mkdir -p ${INT}/input
+	 mkdir -p ${INT}/interp
+	 mkdir -p ${INT}/sman
+	 mkdir -p ${OBJ}/${SYS}/bin
+	 mkdir -p ${OBJ}/${SYS}/etc
+	 mkdir -p ${OBJ}/${SYS}/graph
+	 mkdir -p ${OBJ}/${SYS}/hyper/pages
+	 mkdir -p ${OBJ}/${SYS}/interp
+	 mkdir -p ${OBJ}/${SYS}/lib
+	 mkdir -p ${OBJ}/${SYS}/sman
+	 mkdir -p ${OBJ}/${SYS}/proofs
+	 mkdir -p ${MNT}/doc
+	 mkdir -p ${MNT}/${SYS}/algebra
+	 mkdir -p ${MNT}/${SYS}/src/algebra
+	 mkdir -p ${MNT}/${SYS}/autoload
+	 mkdir -p ${MNT}/${SYS}/bin
+	 mkdir -p ${MNT}/${SYS}/doc/axbook
+	 mkdir -p ${MNT}/${SYS}/doc/bitmaps
+	 mkdir -p ${MNT}/${SYS}/doc/hypertex/bitmaps
+	 mkdir -p ${MNT}/${SYS}/doc/msgs
+	 mkdir -p ${MNT}/${SYS}/doc/ps
+	 mkdir -p ${MNT}/${SYS}/doc/cookbook
+	 mkdir -p ${MNT}/${SYS}/doc/spadhelp
+	 mkdir -p ${MNT}/${SYS}/doc/src/input
+	 mkdir -p ${MNT}/${SYS}/graph/parabola.view
+	 mkdir -p ${MNT}/${SYS}/input
+	 mkdir -p ${MNT}/${SYS}/lib/graph
+	 mkdir -p ${MNT}/${SYS}/lib/scripts
 
 input:
 	@ echo p9 making input documents
 	@ if [ "${BUILD}" = "full" ] ; then \
-	  ( mkdir -p ${MNT}/${SYS}/doc/src/input ; \
-            cd ${MNT}/${SYS}/doc/src/input ; \
+	  ( cd ${MNT}/${SYS}/doc/src/input ; \
 	    cp ${BOOKS}/axiom.sty . ; \
 	    for i in `ls ${SRC}/input/*.input.pamphlet` ; \
               do latex $$i ; \
@@ -206,8 +251,6 @@
 
 book:
 	@ echo 79 building the book as ${MNT}/${SYS}/doc/book.dvi 
-	@ mkdir -p ${TMP}
-	@ mkdir -p ${MNT}/${SYS}/doc
 	@ cp ${SRC}/doc/book.pamphlet ${MNT}/${SYS}/doc
 	@ cp -pr ${SRC}/doc/ps ${MNT}/${SYS}/doc
 	@ (cd ${MNT}/${SYS}/doc ; \
@@ -228,11 +271,6 @@
 tanglec: books/tanglec.c
 	@echo t01 making tanglec from books/tanglec.c
 	@( cd books ; gcc -o tanglec tanglec.c )
-
-${MNT}/${SYS}/bin/document:
-	@echo 0 ${ENV}
-	@echo 10 copying ${SRC}/scripts to ${MNT}/${SYS}/bin
-	@cp -pr ${SRC}/scripts/* ${MNT}/${SYS}/bin
 
 install:
 	@echo 78 installing Axiom in ${DESTDIR}
@@ -252,7 +290,7 @@
 	@echo 
 
 
-document: ${MNT}/${SYS}/bin/document
+document: 
 	@ echo 4 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
 	@ echo 5 Environment ${ENV}
 	@ ${BOOKS}/tanglec Makefile.pamphlet "Makefile.${SYS}" >Makefile.${SYS}
@@ -262,42 +300,44 @@
 clean: 
 	@ echo 7 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
 	@ echo 8 Environment ${ENV}
+	@ rm -f axiom.sty
+	@ rm -f Makefile.pdf
+	@ rm -f Makefile.dvi
+	@ rm -f Makefile.${SYS}
+	@ rm -f books/Makefile
+	@ rm -f books/Makefile.dvi
+	@ rm -f books/Makefile.pdf
+	@ rm -f books/axiom.bib
+	@ rm -f lsp/axiom.sty
+	@ rm -f lsp/Makefile lsp/Makefile.dvi lsp/Makefile.pdf
+	@ rm -rf lsp/gcl*
+	@ rm -f src/axiom.sty
+	@ rm -f src/Makefile
+	@ rm -f src/Makefile.dvi
+	@ rm -f src/Makefile.pdf
 	@ rm -f src/algebra/book*pamphlet
 	@ rm -f src/algebra/*.spad
+	@ rm -f src/algebra/Makefile
+	@ rm -f src/etc/axiom.sty
+	@ rm -f src/etc/Makefile src/etc/Makefile.dvi src/etc/Makefile.pdf
 	@ rm -f src/interp/book*pamphlet
-	@ rm -f axiom.sty
-	@ rm -f books/Makefile
-	@ rm -f books/Makefile.dvi
-	@ rm -f src/algebra/axiom.sty
-	@ rm -f lsp/axiom.sty
-	@ rm -f src/axiom.sty
-	@ rm -f src/clef/axiom.sty
-	@ rm -f src/etc/axiom.sty
-	@ rm -f src/doc/axiom.sty
-	@ rm -f src/lib/axiom.sty
+	@ rm -f src/interp/axiom.sty
+	@ rm -f src/input/axiom.sty
 	@ rm -f src/share/axiom.sty
-	@ rm -f src/scripts/axiom.sty
-	@ rm -f src/input/axiom.sty
-	@ rm -f src/interp/axiom.sty
-	@ rm -f lsp/Makefile.dvi
-	@ rm -f lsp/Makefile
-	@ rm -rf lsp/gcl*
-	@ rm -f trace
-	@ rm -f Makefile.${SYS}
-	@ rm -f Makefile.dvi
+	@ rm -f src/share/Makefile src/share/Makefile.dvi 
+	@ rm -f src/share/Makefile.pdf
 	@ rm -rf int
 	@ rm -rf obj
 	@ rm -rf mnt
 	@ for i in `find . -name "*~"` ; do rm -f $$i ; done
-	@ for i in `find src -name "Makefile"` ; do rm -f $$i ; done
-	@ for i in `find src -name "Makefile.dvi"` ; do rm -f $$i ; done
 	@ rm -f lastBuildDate
 	@ rm -f books/tanglec
-	@ rm -f Makefile.pdf books/Makefile.pdf 
-	@ rm -f lsp/Makefile.pdf lsp/Makefile.pdf src/Makefile.pdf
-	@ rm -f src/algebra/Makefile.pdf src/clef/Makefile.pdf 
-	@ rm -f src/doc/Makefile.pdf
-	@ rm -f src/etc/Makefile.pdf src/input/Makefile.pdf 
-	@ rm -f src/interp/Makefile.pdf
-	@ rm -f src/scripts/Makefile.pdf src/share/Makefile.pdf
-
+	@ rm -f src/input/Makefile src/input/Makefile.dvi
+	@ rm -f src/input/Makefile.pdf 
+	@ rm -f src/interp/Makefile src/interp/Makefile.dvi
+	@ rm -f src/interp/Makefile.pdf 
+	@ rm -f src/share/Makefile src/share/Makefile.dvi
+	@ rm -f src/share/Makefile.pdf 
+	@ rm -f Makefile.aux
+	@ rm -f Makefile.log
+

=== debian/changelog ===
axiom (20170401-2) unstable; urgency=medium

  * build-dep latest gcl
  * qsmulmod32 calls patch
  * Bug fix: "axiom FTBFS in unstable: cp: cannot stat
    &#39;/build/1st/axiom-20170401/int/algebra/BASTYPE.nrlib/code.o&#39;:
    No such file or directory", thanks to Adrian Bunk (Closes: #864434).

 -- Camm Maguire <camm@debian.org>  Thu, 24 Aug 2017 11:05:11 +0000

axiom (20170401-1) unstable; urgency=medium

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Wed, 10 May 2017 14:46:03 +0000

axiom (20140801-12) unstable; urgency=medium

  * build dep against latest gcl
  * Bug fix: "FTBFS on arm64, mips64el and mipsel", thanks to Emilio
    Pozuelo Monfort (Closes: #840639).

 -- Camm Maguire <camm@debian.org>  Thu, 13 Oct 2016 19:29:19 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Camm Maguire <camm@debian.org>
-Build-Depends: debhelper ( >= 5 ), gcl ( >= 2.6.12-25 ), libgmp3-dev, libreadline-dev, libx11-dev, libxt-dev, x11proto-core-dev,  libxpm-dev, x11-common,  texlive-latex-base,  gawk, sharutils, ghostscript, gsfonts, libxmu-dev, libxaw7-dev, zlib1g-dev, texlive-pstricks, tex-common, texlive-fonts-extra
-Standards-Version: 3.9.6
+Build-Depends: debhelper ( >= 5 ), gcl ( >= 2.6.12-54 ), libgmp3-dev, libreadline-dev, libx11-dev, libxt-dev, x11proto-core-dev,  libxpm-dev, x11-common,  texlive-latex-base,  gawk, sharutils, ghostscript, gsfonts, libxmu-dev, libxaw7-dev, zlib1g-dev, texlive-pstricks, tex-common, texlive-fonts-extra
+Standards-Version: 3.9.8
 
 Package: axiom
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -64,7 +64,10 @@
 #	touch $@
 	echo foo > $@
 
-configure: configure-stamp
+debian/Makefile: Makefile
+	cp $< $@
+
+configure: debian/Makefile configure-stamp
 configure-stamp:
 	dh_testdir
 
@@ -145,6 +148,7 @@
 	rm -f src/interp/Makefile.pamphlet.new debian/test_results
 	rm -f libdb.text src/algebra/Makefile.help
 	rm -f src/interp/bookvol10.5.pamphlet src/algebra/*.spad src/lib/Makefile.pdf books/tangle1.lisp
+	! [ -e debian/Makefile ] || mv debian/Makefile ./
 	dh_clean 
 
 debian/axiom.install: 
@@ -177,5 +181,3 @@
 #	echo usr/bin/axiom usr/bin/AXIOMsys >>$@
 	echo usr/share/man/man1/axiom.1 usr/share/man/man1/AXIOMsys.1 >>$@
 
-debian/axiom-doc.install: debian/axiom-hypertex-data.install debian/axiom-graphics-data.install
-	find mnt/linux/doc/* -maxdepth 0 | \

## axiom 20170501

=== Makefile ===
--- 
+++ 
@@ -67,7 +67,8 @@
 #GCLVERSION=gcl-2.6.9
 #GCLVERSION=gcl-2.6.10
 #GCLVERSION=gcl-2.6.11
-GCLVERSION=gcl-2.6.12
+#GCLVERSION=gcl-2.6.12
+GCLVERSION=gcl-2.6.13pre
 GCLDIR:=${LSP}/${GCLVERSION}
 GCLOPTS="--enable-vssize=65536*2 --disable-xgcl --disable-tkconfig"
 LISP:=lsp

=== debian/changelog ===
axiom (20170501-6) unstable; urgency=high

  * Build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Mon, 24 Aug 2020 02:34:55 +0000

axiom (20170501-5) unstable; urgency=high

  * Bug fix: "ftbfs with GCC-10", thanks to Matthias Klose (Closes:
    #957030).

 -- Camm Maguire <camm@debian.org>  Tue, 18 Aug 2020 20:17:43 +0000

axiom (20170501-4) unstable; urgency=high

  * drop -perm constraint on axiom bin/* installs, 
  * Bug fix: "/usr/lib/axiom-20170401/bin missing when package is
    rebuilt", thanks to Juhani Numminen (Closes: #919649).
  * UseRawInputEncoding patch for newest TeX UTF-8 standards

 -- Camm Maguire <camm@debian.org>  Thu, 07 Feb 2019 19:37:25 +0000

axiom (20170501-3) unstable; urgency=medium

  * build-dep latest gcl
  * Bug fix: "Failed to reopen server: No such file or directory", thanks
    to r.ductor (Closes: #890776).

 -- Camm Maguire <camm@debian.org>  Thu, 22 Feb 2018 21:28:51 +0000

axiom (20170501-2) unstable; urgency=medium

  * bind_patch fixing ppc64 build

 -- Camm Maguire <camm@debian.org>  Tue, 05 Sep 2017 16:01:16 +0000

axiom (20170501-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "[src:axiom] Please purge zips subdirectory and repack",
    thanks to bastien ROUCARIES (Closes: #752222).

 -- Camm Maguire <camm@debian.org>  Thu, 31 Aug 2017 17:28:05 +0000

axiom (20170401-3) unstable; urgency=medium

  * fix axiom.install rules
  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Tue, 29 Aug 2017 11:41:33 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Camm Maguire <camm@debian.org>
-Build-Depends: debhelper ( >= 5 ), gcl ( >= 2.6.12-54 ), libgmp3-dev, libreadline-dev, libx11-dev, libxt-dev, x11proto-core-dev,  libxpm-dev, x11-common,  texlive-latex-base,  gawk, sharutils, ghostscript, gsfonts, libxmu-dev, libxaw7-dev, zlib1g-dev, texlive-pstricks, tex-common, texlive-fonts-extra
+Build-Depends: debhelper ( >= 5 ), gcl ( >= 2.6.12-96 ), libgmp3-dev, libreadline-dev, libx11-dev, libxt-dev, x11proto-core-dev,  libxpm-dev, x11-common,  texlive-latex-base,  gawk, sharutils, ghostscript, gsfonts, libxmu-dev, libxaw7-dev, zlib1g-dev, texlive-pstricks, tex-common, texlive-fonts-extra
 Standards-Version: 3.9.8
 
 Package: axiom

=== debian/rules ===
--- 
+++ 
@@ -64,11 +64,12 @@
 #	touch $@
 	echo foo > $@
 
-debian/Makefile: Makefile
-	cp $< $@
+debian/Makefile:
+	cp $(@F) $@
+	patch < debian/Makefile.patch
 
-configure: debian/Makefile configure-stamp
-configure-stamp:
+configure: configure-stamp
+configure-stamp: debian/Makefile
 	dh_testdir
 
 	touch configure-stamp
@@ -135,6 +136,7 @@
 	rm -f Makefile.linux
 	rm -f $(IFS)
 	rm -rf debian/axiom_tutorialu debian/bin debian/axiom.1
+	! [ -e debian/Makefile ] || mv debian/Makefile ./
 	find -mindepth 2 -name Makefile -exec rm {} \;
 	rm -f books/tangle.o
 	mv books/axiom.sty books/axiom.sty.ori
@@ -146,15 +148,14 @@
 	rm -f src/interp/bookvol5.pamphlet src/interp/bookvol9.pamphlet src/algebra/bookvol10.2.spad.pamphlet
 	rm -f src/algebra/bookvol10.4.spad.pamphlet src/algebra/bookvol10.3.spad.pamphlet 
 	rm -f src/interp/Makefile.pamphlet.new debian/test_results
-	rm -f libdb.text src/algebra/Makefile.help
+	rm -f libdb.text src/algebra/Makefile.help src/algebra/ELTAB.nrlib/ELTAB.data
 	rm -f src/interp/bookvol10.5.pamphlet src/algebra/*.spad src/lib/Makefile.pdf books/tangle1.lisp
-	! [ -e debian/Makefile ] || mv debian/Makefile ./
 	dh_clean 
 
 debian/axiom.install: 
 	find mnt/linux -name "*.o" | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
 	find mnt/linux -name "*.lsp" | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
-	find mnt/linux/bin/* -newer mnt/linux/bin/Makefile.pamphlet -maxdepth 0 -type f | grep -v /h[yt] | grep -v /view | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
+	find mnt/linux/bin/* -maxdepth 0 -type f | grep -v /h[yt] | grep -v /view | grep -v /gcl | grep -v html | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
 	find mnt/linux/lib/* | grep -v copyright | grep -v /h[yt] | grep -v /view | grep -v /graph | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
 	echo debian/bin/axiom usr/bin >>$@
 	echo debian/axiom.1 usr/share/man/man1 >>$@
